| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataReaderListener Class Reference
eProsima Fast DDS API Reference » DDS Public API

Class DataReaderListener, it should be used by the end user to implement specific callbacks to certain actions. More...

`#include <DataReaderListener.hpp>`

Inheritance diagram for DataReaderListener:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DataReaderListener ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DataReaderListener ()
| Destructor.
virtual FASTDDS_EXPORTED_API void | on_data_available (DataReader *reader)
| Virtual function to be implemented by the user containing the actions to be performed when new Data Messages are received.
virtual FASTDDS_EXPORTED_API void | on_subscription_matched (DataReader *reader, const fastdds::dds::SubscriptionMatchedStatus &info)
| Virtual method to be called when the subscriber is matched with a new Writer (or unmatched); i.e., when a writer publishing in the same topic is discovered.
virtual FASTDDS_EXPORTED_API void | on_requested_deadline_missed (DataReader *reader, const RequestedDeadlineMissedStatus &status)
| Virtual method to be called when a topic misses the deadline period.
virtual FASTDDS_EXPORTED_API void | on_liveliness_changed (DataReader *reader, const LivelinessChangedStatus &status)
| Method called when the liveliness status associated to a subscriber changes.
virtual FASTDDS_EXPORTED_API void | on_sample_rejected (DataReader *reader, const SampleRejectedStatus &status)
| Method called when a sample was rejected.
virtual FASTDDS_EXPORTED_API void | on_requested_incompatible_qos (DataReader *reader, const RequestedIncompatibleQosStatus &status)
| Method called an incompatible QoS was requested.
virtual FASTDDS_EXPORTED_API void | on_sample_lost (DataReader *reader, const SampleLostStatus &status)
| Method called when a sample was lost.

## Detailed Description

Class DataReaderListener, it should be used by the end user to implement specific callbacks to certain actions.

## Constructor & Destructor Documentation

## ◆ DataReaderListener()

FASTDDS_EXPORTED_API DataReaderListener | ( |  | ) |

inline

Constructor.

## ◆ ~DataReaderListener()

virtual FASTDDS_EXPORTED_API ~DataReaderListener | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ on_data_available()

virtual FASTDDS_EXPORTED_API void on_data_available | ( | DataReader * | reader | ) |

inline virtual

Virtual function to be implemented by the user containing the actions to be performed when new Data Messages are received.

Parameters

  reader | DataReader

## ◆ on_liveliness_changed()

virtual FASTDDS_EXPORTED_API void on_liveliness_changed | ( | DataReader * | reader,
|  | const LivelinessChangedStatus & | status )

inline virtual

Method called when the liveliness status associated to a subscriber changes.

Parameters

  reader | The DataReader
  status | The liveliness changed status

## ◆ on_requested_deadline_missed()

virtual FASTDDS_EXPORTED_API void on_requested_deadline_missed | ( | DataReader * | reader,
|  | const RequestedDeadlineMissedStatus & | status )

inline virtual

Virtual method to be called when a topic misses the deadline period.

Parameters

  reader | DataReader
  status | The requested deadline missed status

## ◆ on_requested_incompatible_qos()

virtual FASTDDS_EXPORTED_API void on_requested_incompatible_qos | ( | DataReader * | reader,
|  | const RequestedIncompatibleQosStatus & | status )

inline virtual

Method called an incompatible QoS was requested.

Parameters

  reader | The DataReader
  status | The requested incompatible QoS status

## ◆ on_sample_lost()

virtual FASTDDS_EXPORTED_API void on_sample_lost | ( | DataReader * | reader,
|  | const SampleLostStatus & | status )

inline virtual

Method called when a sample was lost.

Parameters

  reader | The DataReader
  status | The sample lost status

## ◆ on_sample_rejected()

virtual FASTDDS_EXPORTED_API void on_sample_rejected | ( | DataReader * | reader,
|  | const SampleRejectedStatus & | status )

inline virtual

Method called when a sample was rejected.

Parameters

  reader | The DataReader
  status | The rejected status

## ◆ on_subscription_matched()

virtual FASTDDS_EXPORTED_API void on_subscription_matched | ( | DataReader * | reader,
|  | const fastdds::dds::SubscriptionMatchedStatus & | info )

inline virtual

Virtual method to be called when the subscriber is matched with a new Writer (or unmatched); i.e., when a writer publishing in the same topic is discovered.

Parameters

  reader | DataReader
  info | The subscription matched status

The documentation for this class was generated from the following file:

- include/fastdds/dds/subscriber/DataReaderListener.hpp